Search Questions

The questions are displayed in the order of the most recent answer.

Cannot get colab working

Related to: AI Unlimited
Date: 05/04/2024 08:29
User: Dan Bement
Awards:
i have not been able to get any of the platforms working. I keep getting errors when I try to run the apps.

this is the error i get on 2.1


The cache for model files in Transformers v4.22.0 has been updated. Migrating your old cache. This is a one-time only operation. You can interrupt this and resume the migration later on by calling `transformers.utils.move_cache()`.
?0/0?[00:00 ---------------------------------------------------------------------------
ImportError Traceback (most recent call last)
/usr/local/lib/python3.10/dist-packages/diffusers/utils/import_utils.py in _get_module(self, module_name)
731 try:
--> 732 return importlib.import_module("." + module_name, self.__name__)
733 except Exception as e:

25 frames
ImportError: cannot import name 'CpuOffload' from 'accelerate.hooks' (/usr/local/lib/python3.10/dist-packages/accelerate/hooks.py)

The above exception was the direct cause of the following exception:

RuntimeError Traceback (most recent call last)
RuntimeError: Failed to import diffusers.loaders.lora because of the following error (look up to see its traceback):
cannot import name 'CpuOffload' from 'accelerate.hooks' (/usr/local/lib/python3.10/dist-packages/accelerate/hooks.py)

The above exception was the direct cause of the following exception:

RuntimeError Traceback (most recent call last)
/usr/local/lib/python3.10/dist-packages/diffusers/utils/import_utils.py in _get_module(self, module_name)
732 return importlib.import_module("." + module_name, self.__name__)
733 except Exception as e:
--> 734 raise RuntimeError(
735 f"Failed to import {self.__name__}.{module_name} because of the following error (look up to see its"
736 f" traceback):\n{e}"

RuntimeError: Failed to import diffusers.pipelines.stable_diffusion.pipeline_stable_diffusion because of the following error (look up to see its traceback):
Failed to import diffusers.loaders.lora because of the following error (look up to see its traceback):
cannot import name 'CpuOffload' from 'accelerate.hooks' (/usr/local/lib/python3.10/dist-packages/accelerate/hooks.py)


What should i do
Dan Bement
bementdan@gmail.com


Copyright jorgevila.com 2022

Helpdesk system developed for online help. If you need to contact me or use this system in your products, contact me through jorge@jorgevila.com